Plesk\backup\Agent\Schema\Backup\MailSettings\MailSettingsAType:
    properties:
        useVocabulary:
            expose: true
            access_type: public_method
            serialized_name: use-vocabulary
            accessor:
                getter: getUseVocabulary
                setter: setUseVocabulary
            xml_attribute: true
            type: string
        relay:
            expose: true
            access_type: public_method
            serialized_name: relay
            accessor:
                getter: getRelay
                setter: setRelay
            xml_attribute: true
            type: string
        poplockTime:
            expose: true
            access_type: public_method
            serialized_name: poplock-time
            accessor:
                getter: getPoplockTime
                setter: setPoplockTime
            xml_attribute: true
            type: string
        shortPop3Names:
            expose: true
            access_type: public_method
            serialized_name: short-pop3-names
            accessor:
                getter: getShortPop3Names
                setter: setShortPop3Names
            xml_attribute: true
            type: string
        maxLetterSize:
            expose: true
            access_type: public_method
            serialized_name: max-letter-size
            accessor:
                getter: getMaxLetterSize
                setter: setMaxLetterSize
            xml_attribute: true
            type: string
        imapMaxConnections:
            expose: true
            access_type: public_method
            serialized_name: imap-max-connections
            accessor:
                getter: getImapMaxConnections
                setter: setImapMaxConnections
            xml_attribute: true
            type: string
        imapMaxConnectionsPerIp:
            expose: true
            access_type: public_method
            serialized_name: imap-max-connections-per-ip
            accessor:
                getter: getImapMaxConnectionsPerIp
                setter: setImapMaxConnectionsPerIp
            xml_attribute: true
            type: string
        courierMaxConnections:
            expose: true
            access_type: public_method
            serialized_name: courier-max-connections
            accessor:
                getter: getCourierMaxConnections
                setter: setCourierMaxConnections
            xml_attribute: true
            type: string
        courierMaxConnectionsPerIp:
            expose: true
            access_type: public_method
            serialized_name: courier-max-connections-per-ip
            accessor:
                getter: getCourierMaxConnectionsPerIp
                setter: setCourierMaxConnectionsPerIp
            xml_attribute: true
            type: string
        dovecotMaxConnections:
            expose: true
            access_type: public_method
            serialized_name: dovecot-max-connections
            accessor:
                getter: getDovecotMaxConnections
                setter: setDovecotMaxConnections
            xml_attribute: true
            type: string
        dovecotMaxConnectionsPerIp:
            expose: true
            access_type: public_method
            serialized_name: dovecot-max-connections-per-ip
            accessor:
                getter: getDovecotMaxConnectionsPerIp
                setter: setDovecotMaxConnectionsPerIp
            xml_attribute: true
            type: string
        smtpAuth:
            expose: true
            access_type: public_method
            serialized_name: smtp-auth
            accessor:
                getter: getSmtpAuth
                setter: setSmtpAuth
            xml_attribute: true
            type: string
        popAuth:
            expose: true
            access_type: public_method
            serialized_name: pop-auth
            accessor:
                getter: getPopAuth
                setter: setPopAuth
            xml_attribute: true
            type: string
        messageSubmission:
            expose: true
            access_type: public_method
            serialized_name: message-submission
            accessor:
                getter: getMessageSubmission
                setter: setMessageSubmission
            xml_attribute: true
            type: string
        signOutgoingMail:
            expose: true
            access_type: public_method
            serialized_name: sign-outgoing-mail
            accessor:
                getter: getSignOutgoingMail
                setter: setSignOutgoingMail
            xml_attribute: true
            type: string
        verifyIncomingMail:
            expose: true
            access_type: public_method
            serialized_name: verify-incoming-mail
            accessor:
                getter: getVerifyIncomingMail
                setter: setVerifyIncomingMail
            xml_attribute: true
            type: string
        certificate:
            expose: true
            access_type: public_method
            serialized_name: certificate
            accessor:
                getter: getCertificate
                setter: setCertificate
            xml_attribute: true
            type: string
        dmarcEnabled:
            expose: true
            access_type: public_method
            serialized_name: dmarc-enabled
            accessor:
                getter: getDmarcEnabled
                setter: setDmarcEnabled
            xml_attribute: true
            type: string
        quotaWarningEnabled:
            expose: true
            access_type: public_method
            serialized_name: quota-warning-enabled
            accessor:
                getter: getQuotaWarningEnabled
                setter: setQuotaWarningEnabled
            xml_attribute: true
            type: string
        emailSubaddressingEnabled:
            expose: true
            access_type: public_method
            serialized_name: email-subaddressing-enabled
            accessor:
                getter: getEmailSubaddressingEnabled
                setter: setEmailSubaddressingEnabled
            xml_attribute: true
            type: string
        listSecureLinks:
            expose: true
            access_type: public_method
            serialized_name: list-secure-links
            accessor:
                getter: getListSecureLinks
                setter: setListSecureLinks
            xml_attribute: true
            type: string
        spf:
            expose: true
            access_type: public_method
            serialized_name: spf
            xml_element:
                cdata: false
            accessor:
                getter: getSpf
                setter: setSpf
            type: Plesk\backup\Agent\Schema\Backup\Spf
        rbl:
            expose: true
            access_type: public_method
            serialized_name: rbl
            xml_element:
                cdata: false
            accessor:
                getter: getRbl
                setter: setRbl
            type: Plesk\backup\Agent\Schema\Backup\Rbl
        autoReplyHeaders:
            expose: true
            access_type: public_method
            serialized_name: auto-reply-headers
            xml_element:
                cdata: false
            accessor:
                getter: getAutoReplyHeaders
                setter: setAutoReplyHeaders
            type: array<string>
            xml_list:
                inline: false
                entry_name: header
                skip_when_empty: true
        blackList:
            expose: true
            access_type: public_method
            serialized_name: black-list
            xml_element:
                cdata: false
            accessor:
                getter: getBlackList
                setter: setBlackList
            type: array<Plesk\backup\Agent\Schema\Backup\ListItem>
            xml_list:
                inline: false
                entry_name: list-item
                skip_when_empty: false
        whiteList:
            expose: true
            access_type: public_method
            serialized_name: white-list
            xml_element:
                cdata: false
            accessor:
                getter: getWhiteList
                setter: setWhiteList
            type: array<Plesk\backup\Agent\Schema\Backup\ListItem>
            xml_list:
                inline: false
                entry_name: list-item
                skip_when_empty: false
        smtpWhiteList:
            expose: true
            access_type: public_method
            serialized_name: smtp-white-list
            xml_element:
                cdata: false
            accessor:
                getter: getSmtpWhiteList
                setter: setSmtpWhiteList
            type: array<Plesk\backup\Agent\Schema\Backup\ListItem>
            xml_list:
                inline: false
                entry_name: list-item
                skip_when_empty: true
        externalWebmail:
            expose: true
            access_type: public_method
            serialized_name: external-webmail
            xml_element:
                cdata: false
            accessor:
                getter: getExternalWebmail
                setter: setExternalWebmail
            xml_list:
                inline: true
                entry_name: external-webmail
            type: array<Plesk\backup\Agent\Schema\Backup\MailSettings\MailSettingsAType\ExternalWebmailAType>
        outgoingMessages:
            expose: true
            access_type: public_method
            serialized_name: outgoing-messages
            xml_element:
                cdata: false
            accessor:
                getter: getOutgoingMessages
                setter: setOutgoingMessages
            type: array<Plesk\backup\Agent\Schema\Backup\OutgoingMessages\OutgoingMessagesAType\ParameterAType>
            xml_list:
                inline: false
                entry_name: parameter
                skip_when_empty: true
        outgoingEmailMode:
            expose: true
            access_type: public_method
            serialized_name: outgoing-email-mode
            xml_element:
                cdata: false
            accessor:
                getter: getOutgoingEmailMode
                setter: setOutgoingEmailMode
            type: Plesk\backup\Agent\Schema\Backup\OutgoingEmailMode
